/*
* This file contains all the necessary settings for the IQS7222D and this file can
* be changed from the GUI or edited here
* File:   IQS7222D_init.h
* Author: Azoteq
*/ 

#ifndef IQS7222D_INIT_H
#define IQS7222D_INIT_H

/* Change the Cycle Setup */
/* Memory Map Position 0x8000 - 0x8601 */
#define CYCLE_0_CONV_FREQ_FRAC                   0x7F
#define CYCLE_0_CONV_FREQ_PERIOD                 0x05
#define CYCLE_0_SETTINGS                         0xE2
#define CYCLE_0_CTX_SELECT                       0x21
#define CYCLE_1_CONV_FREQ_FRAC                   0x7F
#define CYCLE_1_CONV_FREQ_PERIOD                 0x05
#define CYCLE_1_SETTINGS                         0xE2
#define CYCLE_1_CTX_SELECT                       0x00
#define CYCLE_2_CONV_FREQ_FRAC                   0x7F
#define CYCLE_2_CONV_FREQ_PERIOD                 0x05
#define CYCLE_2_SETTINGS                         0xE2
#define CYCLE_2_CTX_SELECT                       0x00
#define CYCLE_3_CONV_FREQ_FRAC                   0x7F
#define CYCLE_3_CONV_FREQ_PERIOD                 0x05
#define CYCLE_3_SETTINGS                         0x62
#define CYCLE_3_CTX_SELECT                       0x01
#define CYCLE_4_CONV_FREQ_FRAC                   0x7F
#define CYCLE_4_CONV_FREQ_PERIOD                 0x05
#define CYCLE_4_SETTINGS                         0x62
#define CYCLE_4_CTX_SELECT                       0x01
#define CYCLE_5_CONV_FREQ_FRAC                   0x7F
#define CYCLE_5_CONV_FREQ_PERIOD                 0x05
#define CYCLE_5_SETTINGS                         0x62
#define CYCLE_5_CTX_SELECT                       0x20
#define CYCLE_6_CONV_FREQ_FRAC                   0x7F
#define CYCLE_6_CONV_FREQ_PERIOD                 0x05
#define CYCLE_6_SETTINGS                         0x62
#define CYCLE_6_CTX_SELECT                       0x20

/* Change the Global Cycle Setup */
/* Memory Map Position 0x8700 - 0x8702 */
#define GLOBAL_CYCLE_SETUP_0                     0x8B
#define GLOBAL_CYCLE_SETUP_1                     0x2B
#define COARSE_DIVIDER_PRELOAD                   0x10
#define FINE_DIVIDER_PRELOAD                     0x30
#define COMPENSATION_PRELOAD_0                   0x00
#define COMPENSATION_PRELOAD_1                   0x02

/* Change the Button Setup 0 */
/* Memory Map Position 0x9000 - 0x9002 */
#define BUTTON_0_PROX_THRESHOLD                  0x0A
#define BUTTON_0_ENTER_EXIT                      0x12
#define BUTTON_0_TOUCH_THRESHOLD                 0x19
#define BUTTON_0_TOUCH_HYSTERESIS                0x00
#define BUTTON_0_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_0_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 1 */
/* Memory Map Position 0x9100 - 0x9102 */
#define BUTTON_1_PROX_THRESHOLD                  0x0A
#define BUTTON_1_ENTER_EXIT                      0x12
#define BUTTON_1_TOUCH_THRESHOLD                 0x1F
#define BUTTON_1_TOUCH_HYSTERESIS                0x00
#define BUTTON_1_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_1_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 2 */
/* Memory Map Position 0x9200 - 0x9202 */
#define BUTTON_2_PROX_THRESHOLD                  0x0A
#define BUTTON_2_ENTER_EXIT                      0x12
#define BUTTON_2_TOUCH_THRESHOLD                 0x1F
#define BUTTON_2_TOUCH_HYSTERESIS                0x00
#define BUTTON_2_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_2_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 3 */
/* Memory Map Position 0x9300 - 0x9302 */
#define BUTTON_3_PROX_THRESHOLD                  0x0A
#define BUTTON_3_ENTER_EXIT                      0x12
#define BUTTON_3_TOUCH_THRESHOLD                 0x1F
#define BUTTON_3_TOUCH_HYSTERESIS                0x00
#define BUTTON_3_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_3_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 4 */
/* Memory Map Position 0x9400 - 0x9402 */
#define BUTTON_4_PROX_THRESHOLD                  0x0A
#define BUTTON_4_ENTER_EXIT                      0x12
#define BUTTON_4_TOUCH_THRESHOLD                 0x1F
#define BUTTON_4_TOUCH_HYSTERESIS                0x00
#define BUTTON_4_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_4_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 5 */
/* Memory Map Position 0x9500 - 0x9502 */
#define BUTTON_5_PROX_THRESHOLD                  0x0A
#define BUTTON_5_ENTER_EXIT                      0x12
#define BUTTON_5_TOUCH_THRESHOLD                 0x1F
#define BUTTON_5_TOUCH_HYSTERESIS                0x00
#define BUTTON_5_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_5_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 6 */
/* Memory Map Position 0x9600 - 0x9602 */
#define BUTTON_6_PROX_THRESHOLD                  0x0A
#define BUTTON_6_ENTER_EXIT                      0x12
#define BUTTON_6_TOUCH_THRESHOLD                 0x1F
#define BUTTON_6_TOUCH_HYSTERESIS                0x00
#define BUTTON_6_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_6_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 7 */
/* Memory Map Position 0x9700 - 0x9702 */
#define BUTTON_7_PROX_THRESHOLD                  0x0A
#define BUTTON_7_ENTER_EXIT                      0x12
#define BUTTON_7_TOUCH_THRESHOLD                 0x19
#define BUTTON_7_TOUCH_HYSTERESIS                0x00
#define BUTTON_7_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_7_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 8 */
/* Memory Map Position 0x9800 - 0x9802 */
#define BUTTON_8_PROX_THRESHOLD                  0x0A
#define BUTTON_8_ENTER_EXIT                      0x12
#define BUTTON_8_TOUCH_THRESHOLD                 0x1F
#define BUTTON_8_TOUCH_HYSTERESIS                0x00
#define BUTTON_8_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_8_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 9 */
/* Memory Map Position 0x9900 - 0x9902 */
#define BUTTON_9_PROX_THRESHOLD                  0x0A
#define BUTTON_9_ENTER_EXIT                      0x12
#define BUTTON_9_TOUCH_THRESHOLD                 0x1F
#define BUTTON_9_TOUCH_HYSTERESIS                0x00
#define BUTTON_9_PROX_EVENT_TIMEOUT              0x08
#define BUTTON_9_TOUCH_EVENT_TIMEOUT             0x28

/* Change the Button Setup 10 */
/* Memory Map Position 0x9A00 - 0x9A02 */
#define BUTTON_10_PROX_THRESHOLD                 0x0A
#define BUTTON_10_ENTER_EXIT                     0x12
#define BUTTON_10_TOUCH_THRESHOLD                0x1F
#define BUTTON_10_TOUCH_HYSTERESIS               0x00
#define BUTTON_10_PROX_EVENT_TIMEOUT             0x08
#define BUTTON_10_TOUCH_EVENT_TIMEOUT            0x28

/* Change the Button Setup 11 */
/* Memory Map Position 0x9B00 - 0x9B02 */
#define BUTTON_11_PROX_THRESHOLD                 0x0A
#define BUTTON_11_ENTER_EXIT                     0x12
#define BUTTON_11_TOUCH_THRESHOLD                0x1F
#define BUTTON_11_TOUCH_HYSTERESIS               0x00
#define BUTTON_11_PROX_EVENT_TIMEOUT             0x08
#define BUTTON_11_TOUCH_EVENT_TIMEOUT            0x28

/* Change the Button Setup 12 */
/* Memory Map Position 0x9C00 - 0x9C02 */
#define BUTTON_12_PROX_THRESHOLD                 0x0A
#define BUTTON_12_ENTER_EXIT                     0x12
#define BUTTON_12_TOUCH_THRESHOLD                0x1F
#define BUTTON_12_TOUCH_HYSTERESIS               0x00
#define BUTTON_12_PROX_EVENT_TIMEOUT             0x08
#define BUTTON_12_TOUCH_EVENT_TIMEOUT            0x28

/* Change the Button Setup 13 */
/* Memory Map Position 0x9D00 - 0x9D02 */
#define BUTTON_13_PROX_THRESHOLD                 0x0A
#define BUTTON_13_ENTER_EXIT                     0x12
#define BUTTON_13_TOUCH_THRESHOLD                0x1F
#define BUTTON_13_TOUCH_HYSTERESIS               0x00
#define BUTTON_13_PROX_EVENT_TIMEOUT             0x08
#define BUTTON_13_TOUCH_EVENT_TIMEOUT            0x28

/* Change the CH0 Setup */
/* Memory Map Position 0xA000 - 0xA005 */
#define CH0_SETUP_0                              0xC3
#define CH0_SETUP_1                              0x55
#define CH0_ATI_SETTINGS_0                       0x3D
#define CH0_ATI_SETTINGS_1                       0x64
#define CH0_MULTIPLIERS_0                        0x10
#define CH0_MULTIPLIERS_1                        0x31
#define CH0_ATI_COMPENSATION_0                   0x00
#define CH0_ATI_COMPENSATION_1                   0x58

/* Change the CH1 Setup */
/* Memory Map Position 0xA100 - 0xA105 */
#define CH1_SETUP_0                              0x43
#define CH1_SETUP_1                              0x1D
#define CH1_ATI_SETTINGS_0                       0x65
#define CH1_ATI_SETTINGS_1                       0x3E
#define CH1_MULTIPLIERS_0                        0x10
#define CH1_MULTIPLIERS_1                        0x31
#define CH1_ATI_COMPENSATION_0                   0x00
#define CH1_ATI_COMPENSATION_1                   0xE8

/* Change the CH2 Setup */
/* Memory Map Position 0xA200 - 0xA205 */
#define CH2_SETUP_0                              0x83
#define CH2_SETUP_1                              0x1D
#define CH2_ATI_SETTINGS_0                       0x65
#define CH2_ATI_SETTINGS_1                       0x3E
#define CH2_MULTIPLIERS_0                        0x10
#define CH2_MULTIPLIERS_1                        0x31
#define CH2_ATI_COMPENSATION_0                   0x00
#define CH2_ATI_COMPENSATION_1                   0xE0

/* Change the CH3 Setup */
/* Memory Map Position 0xA300 - 0xA305 */
#define CH3_SETUP_0                              0x43
#define CH3_SETUP_1                              0x1D
#define CH3_ATI_SETTINGS_0                       0x65
#define CH3_ATI_SETTINGS_1                       0x3E
#define CH3_MULTIPLIERS_0                        0x10
#define CH3_MULTIPLIERS_1                        0x31
#define CH3_ATI_COMPENSATION_0                   0x00
#define CH3_ATI_COMPENSATION_1                   0xE8

/* Change the CH4 Setup */
/* Memory Map Position 0xA400 - 0xA405 */
#define CH4_SETUP_0                              0x83
#define CH4_SETUP_1                              0x1D
#define CH4_ATI_SETTINGS_0                       0x65
#define CH4_ATI_SETTINGS_1                       0x3E
#define CH4_MULTIPLIERS_0                        0x10
#define CH4_MULTIPLIERS_1                        0x31
#define CH4_ATI_COMPENSATION_0                   0x00
#define CH4_ATI_COMPENSATION_1                   0xD8

/* Change the CH5 Setup */
/* Memory Map Position 0xA500 - 0xA505 */
#define CH5_SETUP_0                              0x43
#define CH5_SETUP_1                              0x1D
#define CH5_ATI_SETTINGS_0                       0x65
#define CH5_ATI_SETTINGS_1                       0x3E
#define CH5_MULTIPLIERS_0                        0x10
#define CH5_MULTIPLIERS_1                        0x31
#define CH5_ATI_COMPENSATION_0                   0x00
#define CH5_ATI_COMPENSATION_1                   0xF0

/* Change the CH6 Setup */
/* Memory Map Position 0xA600 - 0xA605 */
#define CH6_SETUP_0                              0x83
#define CH6_SETUP_1                              0x1D
#define CH6_ATI_SETTINGS_0                       0x65
#define CH6_ATI_SETTINGS_1                       0x3E
#define CH6_MULTIPLIERS_0                        0x10
#define CH6_MULTIPLIERS_1                        0x31
#define CH6_ATI_COMPENSATION_0                   0x00
#define CH6_ATI_COMPENSATION_1                   0xE8

/* Change the CH7 Setup */
/* Memory Map Position 0xA700 - 0xA705 */
#define CH7_SETUP_0                              0x33
#define CH7_SETUP_1                              0x55
#define CH7_ATI_SETTINGS_0                       0x3D
#define CH7_ATI_SETTINGS_1                       0x64
#define CH7_MULTIPLIERS_0                        0x10
#define CH7_MULTIPLIERS_1                        0x31
#define CH7_ATI_COMPENSATION_0                   0x00
#define CH7_ATI_COMPENSATION_1                   0x58

/* Change the CH8 Setup */
/* Memory Map Position 0xA800 - 0xA805 */
#define CH8_SETUP_0                              0x13
#define CH8_SETUP_1                              0x1D
#define CH8_ATI_SETTINGS_0                       0x65
#define CH8_ATI_SETTINGS_1                       0x3E
#define CH8_MULTIPLIERS_0                        0x10
#define CH8_MULTIPLIERS_1                        0x31
#define CH8_ATI_COMPENSATION_0                   0x00
#define CH8_ATI_COMPENSATION_1                   0xF0

/* Change the CH9 Setup */
/* Memory Map Position 0xA900 - 0xA905 */
#define CH9_SETUP_0                              0x23
#define CH9_SETUP_1                              0x1D
#define CH9_ATI_SETTINGS_0                       0x65
#define CH9_ATI_SETTINGS_1                       0x3E
#define CH9_MULTIPLIERS_0                        0x10
#define CH9_MULTIPLIERS_1                        0x31
#define CH9_ATI_COMPENSATION_0                   0x00
#define CH9_ATI_COMPENSATION_1                   0xD8

/* Change the CH10 Setup */
/* Memory Map Position 0xAA00 - 0xAA05 */
#define CH10_SETUP_0                             0x13
#define CH10_SETUP_1                             0x1D
#define CH10_ATI_SETTINGS_0                      0x65
#define CH10_ATI_SETTINGS_1                      0x3E
#define CH10_MULTIPLIERS_0                       0x10
#define CH10_MULTIPLIERS_1                       0x31
#define CH10_ATI_COMPENSATION_0                  0x00
#define CH10_ATI_COMPENSATION_1                  0xE8

/* Change the CH11 Setup */
/* Memory Map Position 0xAB00 - 0xAA05 */
#define CH11_SETUP_0                             0x23
#define CH11_SETUP_1                             0x1D
#define CH11_ATI_SETTINGS_0                      0x65
#define CH11_ATI_SETTINGS_1                      0x3E
#define CH11_MULTIPLIERS_0                       0x10
#define CH11_MULTIPLIERS_1                       0x31
#define CH11_ATI_COMPENSATION_0                  0x00
#define CH11_ATI_COMPENSATION_1                  0xE8

/* Change the CH12 Setup */
/* Memory Map Position 0xAC00 - 0xAA05 */
#define CH12_SETUP_0                             0x13
#define CH12_SETUP_1                             0x1D
#define CH12_ATI_SETTINGS_0                      0x65
#define CH12_ATI_SETTINGS_1                      0x3E
#define CH12_MULTIPLIERS_0                       0x10
#define CH12_MULTIPLIERS_1                       0x31
#define CH12_ATI_COMPENSATION_0                  0x00
#define CH12_ATI_COMPENSATION_1                  0xE8

/* Change the CH13 Setup */
/* Memory Map Position 0xAD00 - 0xAA05 */
#define CH13_SETUP_0                             0x23
#define CH13_SETUP_1                             0x1D
#define CH13_ATI_SETTINGS_0                      0x65
#define CH13_ATI_SETTINGS_1                      0x3E
#define CH13_MULTIPLIERS_0                       0x10
#define CH13_MULTIPLIERS_1                       0x31
#define CH13_ATI_COMPENSATION_0                  0x00
#define CH13_ATI_COMPENSATION_1                  0xD8

/* Change the Filter Betas */
/* Memory Map Position 0xAE00 - 0xAE01 */
#define COUNTS_BETA_FILTER                       0x11
#define LTA_BETA_FILTER                          0x78
#define LTA_FAST_BETA_FILTER                     0x34
#define FILTER_RESERVED                          0x00

/* Change the Trackpad General Settings */
/* Memory Map Position 0xB000 - 0xB007 */
#define TRACKPAD_SETUP_GENERAL                   0x43
#define TRACKPAD_FILTER                          0x06
#define X_LOWER_CAL                              0xFA
#define Y_LOWER_CAL                              0xFA
#define X_UPPER_CAL                              0xFA
#define Y_UPPER_CAL                              0xFA
#define BOTTOM_SPEED                             0x32
#define TOPSPEED                                 0xFA
#define X_RESOLUTION_0                           0xB8
#define X_RESOLUTION_1                           0x0B
#define Y_RESOLUTION_0                           0xA0
#define Y_RESOLUTION_1                           0x0F
#define ENABLE_MASK_0_7                          0xFF
#define ENABLE_MASK_8_9                          0xFF
#define ENABLESTATUSLINK_0                       0xEE
#define ENABLESTATUSLINK_1                       0x06

/* Change the Delta Links */
/* Memory Map Position 0xB008 - 0xB013 */
#define TP_DELTA0_0                              0x52
#define TP_DELTA0_1                              0x04
#define TP_DELTA1_0                              0x96
#define TP_DELTA1_1                              0x04
#define TP_DELTA2_0                              0xDA
#define TP_DELTA2_1                              0x04
#define TP_DELTA3_0                              0x74
#define TP_DELTA3_1                              0x04
#define TP_DELTA4_0                              0xB8
#define TP_DELTA4_1                              0x04
#define TP_DELTA5_0                              0xFC
#define TP_DELTA5_1                              0x04
#define TP_DELTA6_0                              0x40
#define TP_DELTA6_1                              0x05
#define TP_DELTA7_0                              0x84
#define TP_DELTA7_1                              0x05
#define TP_DELTA8_0                              0xC8
#define TP_DELTA8_1                              0x05
#define TP_DELTA9_0                              0x62
#define TP_DELTA9_1                              0x05
#define TP_DELTA10_0                             0xA6
#define TP_DELTA10_1                             0x05
#define TP_DELTA11_0                             0xEA
#define TP_DELTA11_1                             0x05

/* Change the Trackpad Gesture Settings */
/* Memory Map Position 0xB014 - 0xB017 */
#define GESTURE_EVENT_ENABLE                     0x0F
#define MINIMUM_GESTURE_TIME                     0x03
#define MAXIMUM_TAP_TIME                         0x40
#define MAXIMUM_SWIPE_TIME                       0x80
#define TAP_COORDINATE_LIMIT_0                   0xF4
#define TAP_COORDINATE_LIMIT_1                   0x01
#define SWIPE_COORDINATE_THRESHOLD_0             0xE8
#define SWIPE_COORDINATE_THRESHOLD_1             0x03

/* Change the GPIO Output Settings */
/* Memory Map Position 0xC000 - 0xC202 */
#define GPIO0_SETUP_0                            0x07
#define GPIO0_SETUP_1                            0x00
#define GPIO0_ENABLE_MASK_0_7                    0x81
#define GPIO0_ENABLE_MASK_8_13                   0x00
#define GPIO0_ENABLESTATUSLINK_0                 0xEC
#define GPIO0_ENABLESTATUSLINK_1                 0x06
#define GPIO1_SETUP_0                            0x23
#define GPIO1_SETUP_1                            0x00
#define GPIO1_ENABLE_MASK_0_7                    0x7E
#define GPIO1_ENABLE_MASK_8_13                   0x3F
#define GPIO1_ENABLESTATUSLINK_0                 0xEE
#define GPIO1_ENABLESTATUSLINK_1                 0x06
#define GPIO2_SETUP_0                            0x43
#define GPIO2_SETUP_1                            0x00
#define GPIO2_ENABLE_MASK_0_7                    0x01
#define GPIO2_ENABLE_MASK_8_13                   0x00
#define GPIO2_ENABLESTATUSLINK_0                 0x1E
#define GPIO2_ENABLESTATUSLINK_1                 0x06

/* Change the System Settings */
/* Memory Map Position 0xD0 - 0xDB */
#define SYSTEM_CONTROL_0                         0x30
#define SYSTEM_CONTROL_1                         0x00
#define ATI_ERROR_TIMEOUT_0                      0x01
#define ATI_ERROR_TIMEOUT_1                      0x00
#define ATI_REPORT_RATE_0                        0x00
#define ATI_REPORT_RATE_1                        0x00
#define NORMAL_MODE_TIMEOUT_0                    0x88
#define NORMAL_MODE_TIMEOUT_1                    0x13
#define NORMAL_MODE_REPORT_RATE_0                0x10
#define NORMAL_MODE_REPORT_RATE_1                0x00
#define LP_MODE_TIMEOUT_0                        0x88
#define LP_MODE_TIMEOUT_1                        0x13
#define LP_MODE_REPORT_RATE_0                    0x3C
#define LP_MODE_REPORT_RATE_1                    0x00
#define ULP_MODE_TIMEOUT_0                       0x10
#define ULP_MODE_TIMEOUT_1                       0x27
#define ULP_MODE_REPORT_RATE_0                   0x96
#define ULP_MODE_REPORT_RATE_1                   0x00
#define ULP_ENTRY_MASK_0                         0x7E
#define ULP_ENTRY_MASK_1                         0xFF
#define TOUCH_PROX_EVENT_EN                      0xFF
#define POWER_ATI_TP_EVENT_EN                    0xFF
#define I2CCOMMS_0                               0x0C
#define I2CCOMMS_1                               0x00

/* Change the GPIO Override Settings */
/* Memory Map Position 0xDC - 0xDC */
#define GPIO_OVERRIDE_0                          0x00
#define GPIO_OVERRIDE_1                          0x00

/* Change the Comms timeout setting */
/* Memory Map Position 0xDD - 0xDD */
#define COMMS_TIMEOUT_0                          0x0A
#define COMMS_TIMEOUT_1                          0x00

#endif	/* IQS7222D_INIT_H */